%define version	4.4.0
%define release	1

%define __libtoolize /bin/true
%define build_compositor 1

# commandline overrides:
# rpm -ba|--rebuild --without compositor

%{?_without_compositor: %{expand: %%define build_compositor 0}}

Summary: 	Window manager for Xfce
Name: 		xfwm
Version: 	%{version}
Release: 	%mkrel %{release}
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	%{name}4-%{version}.tar.bz2
Source1:	%{name}4-4.1.99.1-galaxytheme.tar.bz2
Source2:	%{name}4-4.2.0-README.mdk
# trem : rejected
# Patch0:		%{name}4-4.3.0-galaxy.patch.bz2
Group: 		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-mcs-manager >= %{version}
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	startup-notification-devel

%description
Xfwm is a window manager made for use with Xfce.

%prep
%setup -q -n %{name}4-%{version}
# unpack galaxy theme
%setup -q -n %{name}4-%{version} -T -D -a1
# install galaxy theme as default
# trem : rejected
# %patch0 -p1 -b .galaxy
# add README.mdk
cp %{SOURCE2} ./README.mdk

%build
# regenerate configure script for galaxy theme
autoconf
%if %{build_compositor}
%configure --sysconfdir=%_sysconfdir/X11 --enable-compositor
%endif
%if !%{build_compositor}
%configure --sysconfdir=%_sysconfdir/X11
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove unneeded devel files
rm -f %{buildroot}/%{_libdir}/xfce4/mcs-plugins/*.*a

%find_lang %{name}4

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}4.lang
%defattr(-,root,root)
%doc example.gtkrc-2.0 AUTHORS COMPOSITOR COPYING README README.mdk TODO
%{_bindir}/xfwm4
%{_libdir}/xfce4/mcs-plugins/*
%{_datadir}/applications/*
%{_datadir}/icons/*
%{_datadir}/themes/*
%{_datadir}/xfwm4
%{_datadir}/xfce4/doc


%changelog
* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.1
+ Revision: 112331
- New release 4.4.0

* Wed Dec 13 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-1mdv2007.1
+ Revision: 96387
- New release 4.3.99.2
- Import xfwm




* Mon Jul 10 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
- 4.3.90.2 (Xfce-4.4 beta2)

* Tue Apr 25 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Sun Mar 11 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn r20246

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk
- 4.3.0 svn r19739
- don't run libtoolize
- rediff P0 and repackaged galaxytheme

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3.2-1mdk
- 4.2.3
- remove more unneeded devel files
- improve filelist so no debug files are in main package

* Tue May 24 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce
- enable compositor again and add README.mdk
- remove unneeded devel files

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Mon Dec 27 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- disable compositor at compile time, make it optional
  disabling at runtime breaks

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)
- enable compositor at compile time

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Mon Nov 15 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- update galaxy theme (new Makefiles)
- rediff P0
- autoconf2.5 is default now
- update filelist

* Mon Jul 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sat Apr 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

* Fri Jan 16 2004 Marcel Pol <mpol@mandrake.org> 4.0.3.1-1mdk
- 4.0.3.1

* Sun Jan 11 2004 Marcel Pol <mpol@mandrake.org> 4.0.3-2mdk
- own dir (distlint)

 * Sat Jan 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2

* Sun Nov 16 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- 4.0.1
- include galaxy theme as default

* Tue Nov 11 2003 Marcel Pol <mpol@gmx.net> 4.0.0-1mdk
- initial mandrake package
